http:
  port: 3000
admin:
  port: 9876
  host: localhost
apiEndpoints:
  auth:
    path: '/auth/*'
    methods: ['POST']
  contactCenter:
    host: 'localhost'
    paths: ['/contact-center/*']
  sampi:
    host: 'localhost'
    paths: ['/sampi/*']
serviceEndpoints:
  auth:
    url: 'https://ws-microa.rda-consultores.com'
  contactCenterService:
    url: 'http://contactcenter.test'
  sampiService:
    url: 'http://apifacturacionlaravelstrategy.test'
  
policies:
  #- basic-auth
  - cors
  #- expression
  #- key-auth
  - log
  #- oauth2
  - jwt
  - proxy
  - rate-limit
pipelines:
  authPipeline:
    apiEndpoints:
      - auth
    policies:
      - log:
          action:
            message: 'auth ${req.method}'
      - proxy:
          action:
            serviceEndpoint: auth
            changeOrigin: true
            stripPath: true
  contactCenterPipeline:
    apiEndpoints:
      - contactCenter
    policies:
      - jwt:
          - action:
              secretOrPublicKey: 'C1g6DXevwBpKnpY2rupBtVt1XhyLAi6hafMji3inGslEcp5ulzWUQzlj70hnHlLt'
              checkCredentialExistence: false
      - log:
          - action:
              message: ${req.method} ${req.originalUrl}
      - proxy:
          - action:
              serviceEndpoint: contactCenterService
              changeOrigin: true
              stripPath: true
  sampiPipeline:
    apiEndpoints:
      - sampi
    policies:
      - jwt:
          - action:
              secretOrPublicKey: 'C1g6DXevwBpKnpY2rupBtVt1XhyLAi6hafMji3inGslEcp5ulzWUQzlj70hnHlLt'
              checkCredentialExistence: false
      - log:
          - action:
              message: ${req.method} ${req.originalUrl}
      - proxy:
          - action:
              serviceEndpoint: sampiService
              changeOrigin: true
              stripPath: true

